<?php

$sql = array();

$sql[] = "CREATE TABLE IF NOT EXISTS `" . _DB_PREFIX_ . "speedy_address` (
		  `address_id` INT(11) NOT NULL,
		  `customer_id` INT(11) NOT NULL,
		  `postcode` VARCHAR(10) NOT NULL DEFAULT '',
		  `city` VARCHAR(255) NOT NULL DEFAULT '',
		  `city_id` INT(11) NOT NULL DEFAULT '0',
		  `city_nomenclature` VARCHAR(15) NOT NULL DEFAULT '',
		  `to_office` TINYINT(1) NOT NULL DEFAULT '0',
		  `office_id` INT(11) NOT NULL DEFAULT '0',
		  `quarter` VARCHAR(255) NOT NULL DEFAULT '',
		  `quarter_id` INT(11) NOT NULL DEFAULT '0',
		  `street` VARCHAR(255) NOT NULL DEFAULT '',
		  `street_id` INT(11) NOT NULL DEFAULT '0',
		  `street_no` VARCHAR(255) NOT NULL DEFAULT '',
		  `block_no` VARCHAR(255) NOT NULL DEFAULT '',
		  `entrance_no` VARCHAR(255) NOT NULL DEFAULT '',
		  `floor_no` VARCHAR(255) NOT NULL DEFAULT '',
		  `apartment_no` VARCHAR(255) NOT NULL DEFAULT '',
		  `object` VARCHAR(255) NOT NULL DEFAULT '',
		  `object_id` VARCHAR(32) NOT NULL DEFAULT '',
		  `note` VARCHAR(255) NOT NULL DEFAULT '',
		  `country` VARCHAR(255) NOT NULL DEFAULT '',
		  `country_id` INT(11) NOT NULL DEFAULT '0',
		  `country_nomenclature` VARCHAR(15) NOT NULL DEFAULT '',
		  `state` VARCHAR(255) NOT NULL DEFAULT '',
		  `state_id` VARCHAR(50) NOT NULL DEFAULT '',
		  `required_state` TINYINT(1) NOT NULL DEFAULT '0',
		  `required_postcode` TINYINT(1) NOT NULL DEFAULT '0',
		  `address_1` VARCHAR(255) NOT NULL DEFAULT '',
		  `address_2` VARCHAR(255) NOT NULL DEFAULT '',
		  `abroad` TINYINT(1) NOT NULL DEFAULT '0',
		  KEY `address_id` (`address_id`),
		  KEY `customer_id` (`customer_id`)
		) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8";

$sql[] = "CREATE TABLE IF NOT EXISTS `" . _DB_PREFIX_ . "speedy_order` (
		  `speedy_order_id` INT(11) NOT NULL AUTO_INCREMENT,
		  `order_id` INT(11) NOT NULL DEFAULT '0',
		  `bol_id` VARCHAR(15) NOT NULL,
		  `data` TEXT NOT NULL,
		  `date_created` DATETIME NOT NULL,
		  `taking_date` DATETIME NOT NULL,
		  `courier` TINYINT(1) NOT NULL DEFAULT '0',
		  `speedy_additional_copy_for_sender` TINYINT(1) UNSIGNED NULL DEFAULT NULL,
		  PRIMARY KEY (`speedy_order_id`),
		  KEY `order_id` (`order_id`)
		) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8";

// speedy table rate - upgrade 1.2.0
$sql[] = "CREATE TABLE IF NOT EXISTS `" . _DB_PREFIX_ . "speedy_table_rate` (
		  `service_id` INT(11) NOT NULL,
		  `take_from_office` TINYINT(1) NOT NULL,
		  `weight` DECIMAL(15,4) NOT NULL,
		  `order_total` DECIMAL(15,4) NOT NULL,
		  `price_without_vat` DECIMAL(15,4) NOT NULL,
		  `fixed_time_delivery` TINYINT(1) NOT NULL
		) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8";

// speedy product_settings and weight_dimensions - update 2.4.0
$sql[] = "CREATE TABLE IF NOT EXISTS `" . _DB_PREFIX_ . "speedy_product_settings` (
		  `speedy_quantity_dimension_id` INT(11) NOT NULL AUTO_INCREMENT,
		  `product_id` INT(11) NOT NULL DEFAULT '0',
		  `quantity_dimentions` VARCHAR(255) NOT NULL DEFAULT '',
		  PRIMARY KEY (`speedy_quantity_dimension_id`),
		  KEY `product_id` (`product_id`)
		) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8";

$sql[] = "CREATE TABLE IF NOT EXISTS `" . _DB_PREFIX_ . "speedy_weight_dimensions` (
		  `speedy_weight_dimension_id` INT(11) NOT NULL AUTO_INCREMENT,
		  `WEIGHT` VARCHAR(255) NOT NULL DEFAULT '',
		  `XS` VARCHAR(255) NOT NULL DEFAULT '',
		  `S` VARCHAR(255) NOT NULL DEFAULT '',
		  `M` VARCHAR(255) NOT NULL DEFAULT '',
		  `L` VARCHAR(255) NOT NULL DEFAULT '',
		  `XL` VARCHAR(255) NOT NULL DEFAULT '',
		  PRIMARY KEY (`speedy_weight_dimension_id`)
		) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8";